//  Full_Adder.v
/*  A full adder.
 *  C. Vickery October, 2008
 */
module Full_Adder (
  input   wire Ain, Bin, Cin,
  output  wire Sum, Cout
  );

  assign Sum = Ain ^ Bin ^ Cin;
  assign Cout = (Ain & Bin) | (Ain & Cin) | (Bin & Cin);

endmodule
